Skip to main content
DELETE
/
v1
/
api
/
delete_webhook_template
/
curl -X DELETE https://api.hookpulse.io/v1/api/delete_webhook_template/ \
  -H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
  -H "x-brand-uuid: {{x-brand-uuid}}" \
  -H "Content-Type: application/json" \
  -d '{
    "webhook_template_uuid": "{{webhook_template_uuid}}"
  }'
const response = await fetch('https://api.hookpulse.io/v1/api/delete_webhook_template/', {
  method: 'DELETE',
  headers: {
    'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
    'x-brand-uuid': '{{x-brand-uuid}}',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    webhook_template_uuid: '{{webhook_template_uuid}}'
  })
});

const data = await response.json();
console.log(data);
import requests

url = 'https://api.hookpulse.io/v1/api/delete_webhook_template/'
headers = {
    'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
    'x-brand-uuid': '{{x-brand-uuid}}',
    'Content-Type': 'application/json'
}
payload = {
    'webhook_template_uuid': '{{webhook_template_uuid}}'
}

response = requests.delete(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'

uri = URI('https://api.hookpulse.io/v1/api/delete_webhook_template/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(uri.path)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
  webhook_template_uuid: '{{webhook_template_uuid}}'
}.to_json

response = http.request(request)
puts JSON.parse(response.body)
<?php

$url = 'https://api.hookpulse.io/v1/api/delete_webhook_template/';
$data = [
    'webhook_template_uuid' => '{{webhook_template_uuid}}'
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
    'x-brand-uuid: {{x-brand-uuid}}',
    'Content-Type: application/json'
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
{
  "message": "Webhook deleted successfully",
  "success": true
}
Delete a webhook template from your HookPulse account.

Base URL

All API requests should be made to:
https://api.hookpulse.io

Example request

curl -X DELETE https://api.hookpulse.io/v1/api/delete_webhook_template/ \
  -H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
  -H "x-brand-uuid: {{x-brand-uuid}}" \
  -H "Content-Type: application/json" \
  -d '{
    "webhook_template_uuid": "{{webhook_template_uuid}}"
  }'
const response = await fetch('https://api.hookpulse.io/v1/api/delete_webhook_template/', {
  method: 'DELETE',
  headers: {
    'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
    'x-brand-uuid': '{{x-brand-uuid}}',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    webhook_template_uuid: '{{webhook_template_uuid}}'
  })
});

const data = await response.json();
console.log(data);
import requests

url = 'https://api.hookpulse.io/v1/api/delete_webhook_template/'
headers = {
    'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
    'x-brand-uuid': '{{x-brand-uuid}}',
    'Content-Type': 'application/json'
}
payload = {
    'webhook_template_uuid': '{{webhook_template_uuid}}'
}

response = requests.delete(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'

uri = URI('https://api.hookpulse.io/v1/api/delete_webhook_template/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(uri.path)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
  webhook_template_uuid: '{{webhook_template_uuid}}'
}.to_json

response = http.request(request)
puts JSON.parse(response.body)
<?php

$url = 'https://api.hookpulse.io/v1/api/delete_webhook_template/';
$data = [
    'webhook_template_uuid' => '{{webhook_template_uuid}}'
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
    'x-brand-uuid: {{x-brand-uuid}}',
    'Content-Type: application/json'
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>

Request body

FieldTypeRequiredDescription
webhook_template_uuidstringYesUUID of the webhook template to delete

Example response

{
  "message": "Webhook deleted successfully",
  "success": true
}

Response fields

FieldTypeDescription
successbooleanIndicates if the request was successful
messagestringSuccess message confirming the deletion

Authorizations

x-hookpulse-api-key
string
header
required

API key for authentication. Get this from your dashboard by selecting a brand and going to API Keys section.

x-brand-uuid
string
header
required

Brand UUID for authentication. Get this from your dashboard after adding a brand - it will be displayed in the UI.

Body

application/json

Webhook template deletion request

webhook_template_uuid
string
required

UUID of the webhook template to delete

Response

Webhook template deleted successfully

success
boolean

Indicates if the request was successful

message
string

Success message confirming the deletion